ruby-poltergeist_1.18.1-1_all.deb


Advertisement

Description

ruby-poltergeist - PhantomJS driver for Capybara

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename ruby-poltergeist_1.18.1-1_all.deb
Package name ruby-poltergeist
Package version 1.18.1
Package release 1
Package architecture all
Package type deb
Category ruby
Homepage https://github.com/teampoltergeist/poltergeist
License -
Maintainer Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Download size 48.21 KB
Installed size 242.00 KB
Poltergeist is a driver for Capybara that allows you to run your tests on a
headless WebKit browser, provided by PhantomJS.

Alternatives

Package Version Architecture Repository
ruby-poltergeist_1.18.1-1_all.deb 1.18.1 all Debian Main
ruby-poltergeist - - -

Requires

Name Value
ruby -
ruby-capybara >= 2.1
ruby-cliver >= 0.3.1
ruby-interpreter -
ruby-websocket-driver >= 0.2.0

Download

Type URL
Mirror ftp.br.debian.org
Binary Package ruby-poltergeist_1.18.1-1_all.deb
Source Package ruby-poltergeist

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install ruby-poltergeist deb package:
    # sudo apt-get install ruby-poltergeist

Files

Path
/usr/lib/ruby/vendor_ruby/capybara/poltergeist.rb
/usr/lib/ruby/vendor_ruby/capybara/poltergeist/browser.rb
/usr/lib/ruby/vendor_ruby/capybara/poltergeist/client.rb
/usr/lib/ruby/vendor_ruby/capybara/poltergeist/command.rb
/usr/lib/ruby/vendor_ruby/capybara/poltergeist/cookie.rb
/usr/lib/ruby/vendor_ruby/capybara/poltergeist/driver.rb
/usr/lib/ruby/vendor_ruby/capybara/poltergeist/errors.rb
/usr/lib/ruby/vendor_ruby/capybara/poltergeist/inspector.rb
/usr/lib/ruby/vendor_ruby/capybara/poltergeist/network_traffic.rb
/usr/lib/ruby/vendor_ruby/capybara/poltergeist/node.rb
/usr/lib/ruby/vendor_ruby/capybara/poltergeist/server.rb
/usr/lib/ruby/vendor_ruby/capybara/poltergeist/utility.rb
/usr/lib/ruby/vendor_ruby/capybara/poltergeist/version.rb
/usr/lib/ruby/vendor_ruby/capybara/poltergeist/web_socket_server.rb
/usr/lib/ruby/vendor_ruby/capybara/poltergeist/client/agent.coffee
/usr/lib/ruby/vendor_ruby/capybara/poltergeist/client/browser.coffee
/usr/lib/ruby/vendor_ruby/capybara/poltergeist/client/cmd.coffee
/usr/lib/ruby/vendor_ruby/capybara/poltergeist/client/connection.coffee
/usr/lib/ruby/vendor_ruby/capybara/poltergeist/client/main.coffee
/usr/lib/ruby/vendor_ruby/capybara/poltergeist/client/node.coffee
/usr/lib/ruby/vendor_ruby/capybara/poltergeist/client/web_page.coffee
/usr/lib/ruby/vendor_ruby/capybara/poltergeist/client/compiled/agent.js
/usr/lib/ruby/vendor_ruby/capybara/poltergeist/client/compiled/browser.js
/usr/lib/ruby/vendor_ruby/capybara/poltergeist/client/compiled/cmd.js
/usr/lib/ruby/vendor_ruby/capybara/poltergeist/client/compiled/connection.js
/usr/lib/ruby/vendor_ruby/capybara/poltergeist/client/compiled/main.js
/usr/lib/ruby/vendor_ruby/capybara/poltergeist/client/compiled/node.js
/usr/lib/ruby/vendor_ruby/capybara/poltergeist/client/compiled/web_page.js
/usr/lib/ruby/vendor_ruby/capybara/poltergeist/network_traffic/error.rb
/usr/lib/ruby/vendor_ruby/capybara/poltergeist/network_traffic/request.rb
/usr/lib/ruby/vendor_ruby/capybara/poltergeist/network_traffic/response.rb
/usr/share/doc/ruby-poltergeist/README.md.gz
/usr/share/doc/ruby-poltergeist/changelog.Debian.gz
/usr/share/doc/ruby-poltergeist/copyright
/usr/share/rubygems-integration/all/specifications/poltergeist-1.18.1.gemspec

Changelog

2019-01-08 - C├ędric Boutillier <boutil@debian.org>
ruby-poltergeist (1.18.1-1) unstable; urgency=medium
* Team upload
* New upstream version 1.18.1
+ Relax dependency version on ruby-capybara in gemspec
* Use salsa.debian.org in Vcs-* fields
* Move debian/watch to gemwatch.debian.net
* Bump debhelper compatibility level to 11
* Bump Standards-Version to 4.3.0 (no changes needed)
* Add lintian overrides for false positive missing source
2016-09-15 - Pirate Praveen <praveen@debian.org>
ruby-poltergeist (1.10.0-1) unstable; urgency=medium
* Initial release (Closes: #837934)

See Also

Package Description
ruby-polyglot_0.3.4-1_all.deb Custom language loaders for specified file extensions
ruby-poppler_3.3.2-1_all.deb Ruby bindings for the libpoppler-glib library
ruby-posix-spawn_0.3.13-2+b1_i386.deb Ruby Implementation of posix_spawn(2) for faster process spawning
ruby-power-assert_1.1.1-1_all.deb library showing values of variables and method calls in an expression
ruby-powerbar_1.0.18-1_all.deb progressbar library for Ruby
ruby-powerpack_0.1.1-4_all.deb Useful extensions to core Ruby classes
ruby-prawn-doc_2.2.0+dfsg-1_all.deb fast, nimble PDF generation library for Ruby (documentation)
ruby-prawn-icon_2.3.0-4_all.deb Provides icon fonts for PrawnPDF
ruby-prawn-manual-builder_0.2.0-1_all.deb tool to write manuals for Prawn and Prawn accessories
ruby-prawn-svg_0.28.0-3_all.deb SVG renderer for Prawn PDF library
ruby-prawn-table_0.2.2-1_all.deb table support for the Prawn PDF generation library
ruby-prawn_2.2.0+dfsg-1_all.deb fast, nimble PDF generation library for Ruby
ruby-premailer_1.8.6-2_all.deb Preflight for HTML e-mail
ruby-process-daemon_1.0.1-2_all.deb Defines the daemon functionality using a Ruby class
ruby-prof_0.17.0+dfsg-3+b1_i386.deb Fast Ruby profiler
Advertisement
Advertisement